import pygame
from pygame.sprite import Group

from settings import Settings
from ship import Ship
import game_functions as gf


def run_game():
   """初始化游戏并创建一个屏幕对象"""
   pygame.init()
   ai_settings = Settings()
   screen = pygame.display.set_mode(
      (ai_settings.screen_width, ai_settings.screen_height))
   pygame.display.set_caption('Alien Invasion')

   # 创建一个飞船的实例
   ship = Ship(screen, ai_settings)
   # 创建一个用于存储子弹的编组
   bullets = Group()

   while True:
       # 创建一个监视键盘和鼠标事件的循环
       gf.check_events(ai_settings, screen, ship, bullets)
       ship.update()
       gf.update_bullets(bullets)
       # 更新屏幕
       gf.update_screen(ai_settings, screen, ship, bullets)


run_game()